import request from '@/utils/request'

// 查询资产设备状态记录列表
export function listRecord(query) {
  return request({
    url: '/asset/record/list',
    method: 'get',
    params: query
  })
}

// 查询资产设备状态记录详细
export function getRecord(id) {
  return request({
    url: '/asset/record/' + id,
    method: 'get'
  })
}

// 新增资产设备状态记录
export function addRecord(data) {
  return request({
    url: '/asset/record',
    method: 'post',
    data: data
  })
}

// 修改资产设备状态记录
export function updateRecord(data) {
  return request({
    url: '/asset/record',
    method: 'put',
    data: data
  })
}

// 删除资产设备状态记录
export function delRecord(id) {
  return request({
    url: '/asset/record/' + id,
    method: 'delete'
  })
}
